## Settings file was created by plugin PlayerRespawnSystem v2.0.4
## Plugin GUID: com.Mordrog.PlayerRespawnSystem

[Settings]

## Maps on which respawning is ignored.
# Setting type: String
# Default value: bazaar,arena,goldshores,moon,moon2,artifactworld,mysteryspace,limbo,voidraid
IgnoredMapsForTimedRespawn = bazaar,arena,goldshores,moon,moon2,artifactworld,mysteryspace,limbo,voidraid

## Gamemode in which respawning should not work.
# Setting type: String
# Default value: InfiniteTowerRun
IgnoredGameModes = InfiniteTowerRun

## Type of time to consider when calculating respawn time.
# Setting type: RespawnTimeType
# Default value: StageTimeBased
# Acceptable values: StageTimeBased, GameTimeBased
RespawnTimeType = StageTimeBased

## Starting respawn time.
# Setting type: UInt32
# Default value: 30
StartingRespawnTime = 30

## Max respawn time.
# Setting type: UInt32
# Default value: 180
MaxRespawnTime = 180

## Value by which current respawn time is updated every UpdateCurrentRespawnTimeEveryXSeconds.
# Setting type: UInt32
# Default value: 5
UpdateCurrentRepsawnTimeByXSeconds = 5

## Time interval between updates of the UpdateCurrentRepsawnTimeByXSeconds.
# Setting type: UInt32
# Default value: 10
UpdateCurrentRespawnTimeEveryXSeconds = 10

## Should players spawn from pods on start of match.
# Setting type: Boolean
# Default value: false
UsePodsOnStartOfMatch = false

## Should UI death timer show up for you on death.
# Setting type: Boolean
# Default value: true
UseDeathTimerUI = true

## Should players be respawned on timed based system.
# Setting type: Boolean
# Default value: true
UseTimedRespawn = true

## Should players be blocked from respawning after teleporter event is started.
# Setting type: Boolean
# Default value: true
BlockTimedRespawnOnTPEvent = true

## Should players be respawned on start of teleporter event (regardless of BlockSpawningOnTPEvent).
# Setting type: Boolean
# Default value: true
RespawnOnTPStart = true

## Should players be respawned on end of teleporter event (regardless of BlockSpawningOnTPEvent).
# Setting type: Boolean
# Default value: true
RespawnOnTPEnd = true

## Should players be blocked from respawning after Mithrix fight is started.
# Setting type: Boolean
# Default value: true
BlockTimedRespawnOnMithrixFight = true

## Should players be respawned on start of Mithrix fight (regardless of BlockRespawningOnMithrixFight or map being ignored).
# Setting type: Boolean
# Default value: true
RespawnOnMithrixStart = true

## Should players be respawned on end of Mithrix fight (regardless of BlockRespawningOnMithrixFight or map being ignored).
# Setting type: Boolean
# Default value: false
RespawnOnMithrixEnd = false

## Should players be blocked from respawning after Artifact trial is started.
# Setting type: Boolean
# Default value: true
BlockTimedRespawnOnArtifactTrial = true

## Should players be respawned on start of Artifact trial (regardless of BlockTimedRespawningOnArtifactTrial or map being ignored).
# Setting type: Boolean
# Default value: true
RespawnOnArtifactTrialStart = true

## Should players be respawned on end of Artifact trial (regardless of BlockTimedRespawningOnArtifactTrial or map being ignored).
# Setting type: Boolean
# Default value: true
RespawnOnArtifactTrialEnd = true

